# Sablotron Guide and Reference

SablotParse | Functions

#### Summary

Parses a XML file into the internal structure.

#### Syntax

    int SablotParse(SablotSituation S,
           const char *uri,
           SDOM_Document *D);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation handle
`uri` | `const char*` | URI of the file
`D` | `SDOM_Document*` | The new handle goes here

#### Description

Sablotron parses the document given by the URI and sets the D to a new handle value. Returns FALSE on success.

#### See Also

Groups | [ Functions ]
Entries | [ SDOM_Document | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC